---
title: Een guardrail bijwerken | RunAPI
description: Vervang de opgegeven beveiligingsrichtlijnvelden terwijl weggelaten velden
  ongewijzigd blijven.
url: https://runapi.ai/nl/docs/api/management/guardrails/update.md
canonical: https://runapi.ai/nl/docs/api/management/guardrails/update
locale: nl
---

> HTML-versie: https://runapi.ai/nl/docs/api/management/guardrails/update
> Site-index voor agents: https://runapi.ai/llms.txt

# Een guardrail bijwerken

Vervang de opgegeven beveiligingsrichtlijnvelden terwijl weggelaten velden ongewijzigd blijven.

## Eindpunt

PATCH /api/v1/guardrails/:id

Basis-URL: https://runapi.ai

API-versie: v1

Authenticatie: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


Autorisatie: Vereist een Management API-sleutel met accountbeheerdersrechten.

## Verzoek

Stuur waarden alleen op de vermelde verzoeklocatie.

### JSON-body

```json
{
  "allowed_models": {
    "description": "Vervangende toegestane modellenlijst.",
    "required": false,
    "type": "array | null"
  },
  "allowed_providers": {
    "description": "Vervangende toegestane lijst van providernamen.",
    "required": false,
    "type": "array | null"
  },
  "blocked_models": {
    "description": "Vervangende geblokkeerde modellenlijst.",
    "required": false,
    "type": "array | null"
  },
  "blocked_providers": {
    "description": "Vervangende geblokkeerde lijst van providernamen.",
    "required": false,
    "type": "array | null"
  },
  "credit_limit_cents": {
    "description": "Totale bestedingslimiet in USD-centen.",
    "required": false,
    "type": "integer | null"
  },
  "credit_limit_reset_interval": {
    "description": "Herstellingscyclus voor het totale bestedingsplafond.",
    "enum": [
      "daily",
      "weekly",
      "monthly"
    ],
    "required": false,
    "type": "string | null"
  },
  "description": {
    "description": "Vervangende vrije-tekst beschrijving.",
    "required": false,
    "type": "string"
  },
  "enabled": {
    "description": "Of de beveiligingsregel wordt gehandhaafd.",
    "required": false,
    "type": "boolean"
  },
  "model_budgets": {
    "description": "Vervangende budgetregels per model.",
    "required": false,
    "type": "array | null"
  },
  "name": {
    "description": "Vervangende naam voor de beveiligingsrichtlijn.",
    "required": false,
    "type": "string"
  }
}
```

### Padparameters

```json
{
  "id": {
    "description": "Prefix-ID van de guardrail, bijvoorbeeld guardrail_abc123.",
    "required": true,
    "type": "string"
  }
}
```

## Succesvol antwoord

HTTP 200 - PATCH /api/v1/guardrails/:id

```json
{
  "allowed_models": [
    "gpt-5.4"
  ],
  "allowed_providers": [],
  "assignment_count": 1,
  "blocked_models": [],
  "blocked_providers": [],
  "created_at": "2026-07-27T10:00:00.000Z",
  "credit_limit_cents": 50000,
  "credit_limit_reset_interval": "monthly",
  "description": "Production policy",
  "enabled": false,
  "id": "guardrail_123",
  "model_budgets": [
    {
      "credit_limit_cents": 10000,
      "credit_limit_reset_interval": "monthly",
      "match_mode": "include",
      "models": [
        "gpt-5.4"
      ]
    }
  ],
  "name": "Production budget"
}
```

## Foutrespons (401)

HTTP 401

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Authentication required"
}
```

## Foutrespons (403)

HTTP 403

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Management API key required"
}
```

## Foutrespons (403)

HTTP 403

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Account admin required"
}
```

## Foutrespons (400)

HTTP 400

### Responsschema

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "Leesbare foutmelding.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "Leesbare validatiesamenvatting.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Validatieberichten gekoppeld aan het openbare aanvraagveld, met een reeks leesbare tekenreeksen per veld.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Responsvoorbeeld

```json
{
  "error": "page must be an integer"
}
```

## Foutrespons (404)

HTTP 404

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare foutmelding.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Resource not found"
}
```

## Foutrespons (422)

HTTP 422

### Responsschema

```json
{
  "properties": {
    "error": {
      "description": "Leesbare validatiesamenvatting.",
      "type": "string"
    },
    "errors": {
      "additionalProperties": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "description": "Validatieberichten gekoppeld aan het openbare aanvraagveld, met een reeks leesbare tekenreeksen per veld.",
      "type": "object"
    }
  },
  "required": [
    "error",
    "errors"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Responsvoorbeeld

```json
{
  "error": "Validation failed",
  "errors": {
    "base": [
      "Validation failed"
    ]
  }
}
```

## cURL-voorbeeld



### curl

```curl
curl -X PATCH https://runapi.ai/api/v1/guardrails/guardrail_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"enabled":false}'
```

## Gerelateerde referentie

- [Guardrails](https://runapi.ai/nl/docs/api/management/guardrails.md)
- [Guardrail-object](https://runapi.ai/nl/docs/api/management/guardrails/object.md)

---

## Meer van RunAPI

- [Home](https://runapi.ai/nl/.md)
- [Modelcatalogus](https://runapi.ai/nl/models.md)
- [Prijzen](https://runapi.ai/nl/pricing.md)
- [Providers](https://runapi.ai/nl/models)
- [Documentatie](https://runapi.ai/nl/docs/guides)
- [SDK's](https://runapi.ai/nl/sdk.md)
- [CLI](https://runapi.ai/nl/cli.md)
- [MCP Server](https://runapi.ai/nl/mcp.md)
- [Claude Code vs Cursor](https://runapi.ai/nl/claude-code-vs-cursor.md)
- [Cursor API instellen](https://runapi.ai/nl/cursor-api-setup.md)
- [RunAPI vs OpenRouter](https://runapi.ai/nl/openrouter-alternative.md)
- [Enterprise](https://runapi.ai/nl/contact.md)
- [Contact](https://runapi.ai/nl/contact.md)
- [Voorwaarden](https://runapi.ai/nl/terms.md)
- [Privacy](https://runapi.ai/nl/privacy.md)
- [Site-index voor agents](https://runapi.ai/llms.txt)

Contact: contact@runapi.ai

## Gestructureerde gegevens

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/nl/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/nl",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/nlicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "nl",
    "@type": "TechArticle",
    "headline": "Een guardrail bijwerken",
    "description": "Vervang de opgegeven beveiligingsrichtlijnvelden terwijl weggelaten velden ongewijzigd blijven.",
    "url": "https://runapi.ai/nl/docs/api/management/guardrails/update",
    "mainEntityOfPage": "https://runapi.ai/nl/docs/api/management/guardrails/update"
  }
]
```
